[Overview][Constants][Types][Procedures and functions][Variables][Index] | Reference for unit 'oldlinux' (#rtl)

# SeekDir

Seek to position in directory

## Declaration

Source position: oldlinux.pp line 1437

`procedure SeekDir(`
`p: PDir;`
`off: LongInt`
`);`

## Description

SeekDir sets the directory pointer to the off-th entry in the directory structure pointed to by p.

For an example, see OpenDir.

## Errors

Errors are returned in LinuxError.

## See also

CloseDir |  | Close directory file descriptor
ReadDir |  | Read entry from directory
OpenDir |  | Open directory for reading
TellDir |  | Return current location in a directory

Documentation generated on: Feb 26 2014